%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate time

Name:           rust-time
Version:        0.3.36
Release:    1%{?dist}
Summary:        Date and time library

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/time
Source0:         %{crates_source}
Patch:          time-fix-metadata-auto.diff
Patch:          time-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Date and time library. Fully interoperable with the standard library.
Mostly compatible with #![no_std].}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-Apache
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+formatting-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+formatting-devel %{_description}

This package contains library source intended for building other packages which
use the "formatting" feature of the "%{crate}" crate.

%files       -n %{name}+formatting-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+large-dates-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+large-dates-devel %{_description}

This package contains library source intended for building other packages which
use the "large-dates" feature of the "%{crate}" crate.

%files       -n %{name}+large-dates-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+local-offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+local-offset-devel %{_description}

This package contains library source intended for building other packages which
use the "local-offset" feature of the "%{crate}" crate.

%files       -n %{name}+local-offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+macros-devel %{_description}

This package contains library source intended for building other packages which
use the "macros" feature of the "%{crate}" crate.

%files       -n %{name}+macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parsing-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parsing-devel %{_description}

This package contains library source intended for building other packages which
use the "parsing" feature of the "%{crate}" crate.

%files       -n %{name}+parsing-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-human-readable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-human-readable-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-human-readable" feature of the "%{crate}" crate.

%files       -n %{name}+serde-human-readable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-well-known-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-well-known-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-well-known" feature of the "%{crate}" crate.

%files       -n %{name}+serde-well-known-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.36-1
- initial build
